From 7812b00398e73156c07be2ea2abe1dbf0153ccfe Mon Sep 17 00:00:00 2001
From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Date: Fri, 18 Jan 2019 03:12:07 -0500
Subject: Avoid elisp crash for OpenPGP User IDs with no e-mail address

* lisp/gnus/mml-sec.el (mml-secure-check-user-id): Verify that
there is an e-mail address in the current User ID before trying
to downcase it.  (Bug#34121)

Copyright-paperwork-exempt: yes

Origin: backport, commit: 90177d7f12d25e403abc6f1bdf242aed308a7bb8)
Bug: https://debbugs.gnu.org/34121
Bug-Debian: https://bugs.debian.org/919642
---
 lisp/gnus/mml-sec.el | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/lisp/gnus/mml-sec.el b/lisp/gnus/mml-sec.el
index 099e5372b48..fcca8113561 100644
--- a/lisp/gnus/mml-sec.el
+++ b/lisp/gnus/mml-sec.el
@@ -658,6 +658,8 @@ mml-secure-check-user-id
     (catch 'break
       (dolist (uid uids nil)
 	(if (and (stringp (epg-user-id-string uid))
+                 (car (mail-header-parse-address
+                       (epg-user-id-string uid)))
 		 (equal (downcase (car (mail-header-parse-address
 					(epg-user-id-string uid))))
 			(downcase (car (mail-header-parse-address
